# Interface ContainerWrapper

All Superinterfaces:
  `ComponentWrapper`

public interface ContainerWrapper extends ComponentWrapper
A class that wraps a container that contains components.

- ## Field Summary

  ### Fields inherited from interface ComponentWrapper

  `TYPE_BUTTON, TYPE_CHECK_BOX, TYPE_COMBO_BOX, TYPE_CONTAINER, TYPE_IMAGE, TYPE_LABEL, TYPE_LIST, TYPE_PANEL, TYPE_PROGRESS_BAR, TYPE_SCROLL_BAR, TYPE_SCROLL_PANE, TYPE_SEPARATOR, TYPE_SLIDER, TYPE_SPINNER, TYPE_TABBED_PANE, TYPE_TABLE, TYPE_TEXT_AREA, TYPE_TEXT_FIELD, TYPE_TREE, TYPE_UNKNOWN, TYPE_UNSET`

- ## Method Summary

  Modifier and Type
  Method
  Description
  `int`
  `getComponentCount()`
  Returns the number of components that this parent has.
  `ComponentWrapper[]`
  `getComponents()`
  Returns the components of the container that wrapper is wrapping.
  `java.lang.Object`
  `getLayout()`
  Returns the `LayoutHandler` (in Swing terms) that is handling the layout of this container.
  `boolean`
  `isLeftToRight()`
  Returns if this container is using left-to-right component ordering.
  `void`
  `paintDebugCell(int x, int y, int width, int height)`
  Paints a cell to indicate where it is.

  ### Methods inherited from interface ComponentWrapper

  `getBaseline, getComponent, getComponentType, getContentBias, getHeight, getHorizontalScreenDPI, getLayoutHashCode, getLinkId, getMaximumHeight, getMaximumWidth, getMinimumHeight, getMinimumWidth, getParent, getPixelUnitFactor, getPreferredHeight, getPreferredWidth, getScreenHeight, getScreenLocationX, getScreenLocationY, getScreenWidth, getVerticalScreenDPI, getVisualPadding, getWidth, getX, getY, hasBaseline, isVisible, paintDebugOutline, setBounds`

- ## Method Details

  - ### getComponents

    ComponentWrapper[] getComponents()

    Returns the components of the container that wrapper is wrapping.

    ###### Returns

    The components of the container that wrapper is wrapping. Never `null`.

  - ### getComponentCount

    int getComponentCount()

    Returns the number of components that this parent has.

    ###### Returns

    The number of components that this parent has.

  - ### getLayout

    java.lang.Object getLayout()

    Returns the `LayoutHandler` (in Swing terms) that is handling the layout of this container. If there exist no such class the method should return the same as `#getComponent()`, which is the container itself.

    ###### Returns

    The layout handler instance. Never `null`.

  - ### isLeftToRight

    boolean isLeftToRight()

    Returns if this container is using left-to-right component ordering.

    ###### Returns

    If this container is using left-to-right component ordering.

  - ### paintDebugCell

    void paintDebugCell(int x, int y, int width, int height)

    Paints a cell to indicate where it is.

    ###### Parameters

    - `x`: The x coordinate to start the drwaing.

    - `y`: The x coordinate to start the drwaing.

    - `width`: The width to draw/fill

    - `height`: The height to draw/fill